Block a user
duplicati (latest)
Published 2026-05-16 18:17:50 +02:00 by poma
Installation
docker pull gitea.poma-lab.com/poma/duplicati:latestsha256:a64a3e1a6367f9f3e1d544729b5aa97c780eb25f518b1f1969ae2bf6b1e78809
About this package
[Duplicati](https://www.duplicati.com/) is a backup client that securely stores encrypted, incremental, compressed backups on local storage, cloud storage services and remote file servers. It works with standard protocols like FTP, SSH, WebDAV as well as popular services like Microsoft OneDrive, Amazon S3, Google Drive, box.com, Mega, B2, and many others.
Image Layers
| COPY /root-out/ / # buildkit |
| ARG BUILD_DATE=2026-05-13T00:23:07+00:00 |
| ARG VERSION=5e1287d4-ls71 |
| ARG MODS_VERSION=v3 |
| ARG PKG_INST_VERSION=v1 |
| ARG LSIOWN_VERSION=v1 |
| ARG WITHCONTENV_VERSION=v1 |
| LABEL build_version=Linuxserver.io version:- 5e1287d4-ls71 Build-date:- 2026-05-13T00:23:07+00:00 |
| LABEL maintainer=TheLamer |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/docker-mods.v3 /docker-mods # buildkit |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/package-install.v1 /etc/s6-overlay/s6-rc.d/init-mods-package-install/run # buildkit |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/lsiown.v1 /usr/bin/lsiown # buildkit |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/with-contenv.v1 /usr/bin/with-contenv # buildkit |
| ARG DEBIAN_FRONTEND=noninteractive |
| ENV HOME=/root LANGUAGE=en_US.UTF-8 LANG=en_US.UTF-8 TERM=xterm S6_CMD_WAIT_FOR_SERVICES_MAXTIME=0 S6_VERBOSITY=1 S6_STAGE2_HOOK=/docker-mods VIRTUAL_ENV=/lsiopy PATH=/lsiopy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin |
| COPY sources.list /etc/apt/ # buildkit |
| RUN |7 BUILD_DATE=2026-05-13T00:23:07+00:00 VERSION=5e1287d4-ls71 MODS_VERSION=v3 PKG_INST_VERSION=v1 LSIOWN_VERSION=v1 WITHCONTENV_VERSION=v1 DEBIAN_FRONTEND=noninteractive /bin/sh -c echo "**** Ripped from Ubuntu Docker Logic ****" && rm -f /etc/apt/sources.list.d/ubuntu.sources && set -xe && echo '#!/bin/sh' > /usr/sbin/policy-rc.d && echo 'exit 101' >> /usr/sbin/policy-rc.d && chmod +x /usr/sbin/policy-rc.d && dpkg-divert --local --rename --add /sbin/initctl && cp -a /usr/sbin/policy-rc.d /sbin/initctl && sed -i 's/^exit.*/exit 0/' /sbin/initctl && echo 'force-unsafe-io' > /etc/dpkg/dpkg.cfg.d/docker-apt-speedup && echo 'DPkg::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' > /etc/apt/apt.conf.d/docker-clean && echo 'APT::Update::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' >> /etc/apt/apt.conf.d/docker-clean && echo 'Dir::Cache::pkgcache ""; Dir::Cache::srcpkgcache "";' >> /etc/apt/apt.conf.d/docker-clean && echo 'Acquire::Languages "none";' > /etc/apt/apt.conf.d/docker-no-languages && echo 'Acquire::GzipIndexes "true"; Acquire::CompressionTypes::Order:: "gz";' > /etc/apt/apt.conf.d/docker-gzip-indexes && echo 'Apt::AutoRemove::SuggestsImportant "false";' > /etc/apt/apt.conf.d/docker-autoremove-suggests && mkdir -p /run/systemd && echo 'docker' > /run/systemd/container && echo "**** install apt-utils and locales ****" && apt-get update && apt-get upgrade -y && apt-get install -y apt-utils locales && echo "**** install packages ****" && apt-get install -y catatonit cron curl gnupg jq netcat-openbsd systemd-standalone-sysusers tzdata && echo "**** generate locale ****" && locale-gen en_US.UTF-8 && echo "**** create abc user and make our folders ****" && useradd -u 911 -U -d /config -s /bin/false abc && usermod -G users abc && mkdir -p /app /config /defaults /lsiopy && echo "**** cleanup ****" && userdel ubuntu && apt-get autoremove && apt-get clean && rm -rf /tmp/* /var/lib/apt/lists/* /var/tmp/* /var/log/* # buildkit |
| COPY root/ / # buildkit |
| ENTRYPOINT ["/init"] |
| ENV LSIO_FIRST_PARTY=true |
| ARG BUILD_DATE=2026-05-16T06:16:51+00:00 |
| ARG VERSION=v2.3.0.1_stable_2026-04-24-ls293 |
| ARG DUPLICATI_RELEASE=v2.3.0.1_stable_2026-04-24 |
| LABEL build_version=Linuxserver.io version:- v2.3.0.1_stable_2026-04-24-ls293 Build-date:- 2026-05-16T06:16:51+00:00 |
| LABEL maintainer=aptalca |
| ARG DEBIAN_FRONTEND=noninteractive |
| ENV HOME=/config TMPDIR=/run/duplicati-temp DUPLICATI__REQUIRE_DB_ENCRYPTION_KEY=true DUPLICATI__SERVER_DATAFOLDER=/config DUPLICATI__WEBSERVICE_PORT=8200 DUPLICATI__WEBSERVICE_INTERFACE=any DUPLICATI__WEBSERVICE_ALLOWED_HOSTNAMES=* |
| RUN |4 BUILD_DATE=2026-05-16T06:16:51+00:00 VERSION=v2.3.0.1_stable_2026-04-24-ls293 DUPLICATI_RELEASE=v2.3.0.1_stable_2026-04-24 DEBIAN_FRONTEND=noninteractive /bin/sh -c echo "**** install packages ****" && echo ttf-mscorefonts-installer msttcorefonts/accepted-mscorefonts-eula select true | debconf-set-selections && apt-get update && apt-get install -y libicu74 ttf-mscorefonts-installer unzip xz-utils && echo "**** install duplicati ****" && if [ -z ${DUPLICATI_RELEASE+x} ]; then DUPLICATI_RELEASE=$(curl -sX GET "https://api.github.com/repos/duplicati/duplicati/releases/latest" | jq -r .tag_name); fi && duplicati_url=$(curl -s "https://api.github.com/repos/duplicati/duplicati/releases/tags/${DUPLICATI_RELEASE}" | jq -r '.assets[].browser_download_url' |grep 'linux-x64-gui.zip$') && curl -o /tmp/duplicati.zip -L "${duplicati_url}" && unzip -q /tmp/duplicati.zip -d /app && mv /app/duplicati* /app/duplicati && printf "Linuxserver.io version: ${VERSION}\nBuild-date: ${BUILD_DATE}" > /build_version && echo "**** cleanup ****" && apt-get clean && rm -rf /tmp/* /var/lib/apt/lists/* /var/tmp/* # buildkit |
| COPY root/ / # buildkit |
| EXPOSE [8200/tcp] |
| VOLUME [/backups /config /source] |
Labels
| Key | Value |
|---|---|
| build_version | Linuxserver.io version:- v2.3.0.1_stable_2026-04-24-ls293 Build-date:- 2026-05-16T06:16:51+00:00 |
| maintainer | aptalca |
| org.opencontainers.image.authors | linuxserver.io |
| org.opencontainers.image.created | 2026-05-16T06:16:51+00:00 |
| org.opencontainers.image.description | [Duplicati](https://www.duplicati.com/) is a backup client that securely stores encrypted, incremental, compressed backups on local storage, cloud storage services and remote file servers. It works with standard protocols like FTP, SSH, WebDAV as well as popular services like Microsoft OneDrive, Amazon S3, Google Drive, box.com, Mega, B2, and many others. |
| org.opencontainers.image.documentation | https://docs.linuxserver.io/images/docker-duplicati |
| org.opencontainers.image.licenses | GPL-3.0-only |
| org.opencontainers.image.ref.name | 35ca97e0bd2b0ac25b6a75373fd3871b63c599f3 |
| org.opencontainers.image.revision | 35ca97e0bd2b0ac25b6a75373fd3871b63c599f3 |
| org.opencontainers.image.source | https://github.com/linuxserver/docker-duplicati |
| org.opencontainers.image.title | Duplicati |
| org.opencontainers.image.url | https://github.com/linuxserver/docker-duplicati/packages |
| org.opencontainers.image.vendor | linuxserver.io |
| org.opencontainers.image.version | v2.3.0.1_stable_2026-04-24-ls293 |